<?php
	
 date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'  or $_SESSION['tipo_usu']=='c' or $_SESSION['tipo_usu']=='s'){
		}else{
			header('location:error.php');
		}
		if($_SESSION['tipo_usu']=='a'){
			$titulo='SUPERVISOR';
		}else{
			$titulo='USUARIO';
		}


		$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
		$resultado = $mysqli->query($consulta);
		$row = $resultado->fetch_array();
		$nomb = $row["usu"];
		$cdgcaj= $row["codusu"];



$fechahoy=date("d-m-y");


$sel_fact="INSERT INTO pagos_proveedorestmp(numrec,fecrec) VALUE ('','$fechahoy')";
$mysqli->query($sel_fact);
$numrec=$mysqli-> insert_id ; 

$consulta1 = "DELETE FROM pagos_proveedorestmp  WHERE numrec !='$numrec'";
$mysqli->query($consulta1);



if (!isset($_GET["cadena_busqueda"])) { $cadena_busqueda="";  } else  {  $cadena_busqueda=$_GET["cadena_busqueda"];  }

if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }

if ($cadena_busqueda<>"") {
	$array_cadena_busqueda=split("~",$cadena_busqueda);
	$cdgpro=$array_cadena_busqueda[1];
	$dscpro=$array_cadena_busqueda[2];

} else {
	$cdgpro="";
	$dscpro="";
	//$cboEstados="";

}

?>
<html>
	<head>
		<title>Recibos a Proveedores</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">


  <script src="..//jquery-maskmoney/src/jquery.maskMoney.js" type="text/javascript"></script>

		<script type="text/javascript" src="../funciones/validar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script language="javascript">
		
		

  $(function() {
    $('#currency').maskMoney();
   //$("#monabo").maskMoney({thousands:',', decimal:'.', allowZero:true, prefix: '€ '});
$("#monabo").maskMoney({thousands:',', decimal:'.',precision:2});
$("#vuelto").maskMoney({thousands:',', decimal:'.',precision:2});
$("#pagacon").maskMoney({thousands:',', decimal:'.',precision:2});
//$("#totalpago").maskMoney({thousands:',', decimal:'.',precision:2});

	  })	
	
		
		
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function inicio() {
			document.getElementById("form_busqueda").submit();
			document.getElementById("cdgpro").focus();
		}
		
		function nueva_Recibo() {
			location.href="Nuevo_Recibo.php";
		}
		
		function buscar() {
			var cadena;
			cadena=hacer_cadena_busqueda();
			document.getElementById("cadena_busqueda").value=cadena;
			document.getElementById("form_busqueda").submit();
			  document.getElementById("monabo").value="";
			  

		}
		
		
		
		function paginar() {
			document.getElementById("iniciopagina").value=document.getElementById("paginas").value;
			document.getElementById("form_busqueda").submit();
		
		}
		
		function hacer_cadena_busqueda() {
			var cdgpro=document.getElementById("cdgpro").value;
			var dscpro=document.getElementById("dscpro").value;
			//var numfactura=document.getElementById("numfactura").value;			
			//var cboEstados=document.getElementById("cboEstados").value;
			//var fechainicio=document.getElementById("vehpla").value;
			//var fechafin=document.getElementById("fechafin").value;
			var cadena="";
			cadena="~"+cdgpro+"~"+dscpro+"~";
			return cadena;
			}



		function calculo_intereses() {
	
				
				  var resultado="ninguno";
 
        var porNombre=document.getElementsByName("interes");
        // Recorremos todos los valores del radio button para encontrar el
        // seleccionado
        for(var i=0;i<porNombre.length;i++)
        {
            if(porNombre[i].checked)
                resultado=porNombre[i].value;
        }

  if (resultado==1) {
   document.getElementById("aplnot").checked = false;
  document.getElementById("radio").checked = true;
 document.getElementById("monabo").value="";
  document.getElementById("tazint").value=3;
  document.getElementById("form_busqueda").submit();

			} else {
   document.getElementById("aplnot").checked = false;
  document.getElementById("radio").checked = true;
  document.getElementById("tazint").value="";
  document.getElementById("monabo").value="";
  document.getElementById("numfac").value="";
  document.getElementById("form_busqueda").submit();	

			}}




function saldos(){

	  var resultado="ninguno";
 
        var porNombre=document.getElementsByName("aplnot");
        // Recorremos todos los valores del radio button para encontrar el
        // seleccionado
        for(var i=0;i<porNombre.length;i++)
        {
            if(porNombre[i].checked)
                resultado=porNombre[i].value;
        }

		 if  (resultado==1)  {
	
	  var saldo=document.getElementById("saldoporpagar").value;
	    	document.getElementById("numfac").value="";
			document.getElementById("monabo").value=saldo;
			document.getElementById("monabo").focus();
			document.getElementById("monabo").select();
		
	    } else {

		 numfac=document.getElementById("numfac").value;	
			
			if (numfac=="")		{
			document.getElementById("monabo").value="";
			document.getElementById("numfac").focus();
			document.getElementById("numfac").select();
			
			
				 }	else {
		 var salfac=document.getElementById("salfac").value;
			document.getElementById("monabo").value=salfac;
			document.getElementById("monabo").focus();
			document.getElementById("monabo").select();
		
				 }	
   }}

/////////////////////////////////////////////////////////  validar abono ////////////////////////////////////////////////
		function validar () 
			{
			
				  var resultado="ninguno";
 
        var porNombre=document.getElementsByName("aplnot");
        // Recorremos todos los valores del radio button para encontrar el
        // seleccionado
        for(var i=0;i<porNombre.length;i++)
        {
            if(porNombre[i].checked)
                resultado=porNombre[i].value;
        }

		 if  (resultado==1)  {
			
			
			  var saldo=document.getElementById("saldoporpagar").value;
			 // var abono=document.getElementById("monabo").value;
					abono=$("#monabo").maskMoney('unmasked')[0];
			if (abono > saldo)	{
			
			alert ("verifique el monto abonado no puede ser mayor al saldo del cliente")
			} else {
			
				var mensaje="";
	if (document.getElementById("cdgpro").value=="") mensaje+="  - Código Cliente\n";
	if (document.getElementById("dscpro").value=="") mensaje+="  - Nombre del Cliente\n";
	if (document.getElementById("monabo").value=="") mensaje+="  - Monto del Abono\n";
	document.getElementById("monabo").focus();
	document.getElementById("monabo").select();
	document.getElementById("pagacon").value="";
	document.getElementById("vuelto").value="";
	document.forms.form_busqueda.action="frame_lineas.php";	
	document.getElementById("form_busqueda").submit();

				}
				} else {	
							var mensaje="";
	if (document.getElementById("cdgpro").value=="") mensaje+="  - Código Cliente\n";
	if (document.getElementById("dscpro").value=="") mensaje+="  - Nombre del Cliente\n";
	if (document.getElementById("monabo").value=="") mensaje+="  - Monto del Abono\n";
	document.getElementById("monabo").focus();
	document.getElementById("monabo").select();
	document.getElementById("pagacon").value="";
	document.getElementById("vuelto").value="";
	document.forms.form_busqueda.action="frame_lineas.php";
	document.getElementById("form_busqueda").submit();	
	
				
				
				}	}

			
		
		function limpiar() { 
			document.getElementById("form_busqueda").reset();
			document.getElementById("form_busqueda").submit();
		}
		
		function abreVentana(){
		
		//document.querySelector('#aplnot').checked = true;
		
		
			miPopup = window.open("ver_proveedores2.php","miwin","width=700,height=650,scrollbars=yes");
			miPopup.focus();
		}
		
		
		function validarproveedor(){
			var codigo=document.getElementById("cdgpro").value;
			miPopup = window.open("comprobarproveedor2.php?cdgpro="+codigo,"frame_datos1","width=700,height=80,scrollbars=yes");
			document.getElementById("monabo").focus();
			document.getElementById("monabo").select();
			
		}	
		
		
		function ceros(obj) {
		  numCeros = '00000'; // pon el nº de ceros que necesites
		  valor = obj.value;
		  valor = numCeros.substring(0,numCeros.length-valor.length)+valor;
		  obj.value = valor; 
		 buscar();
		}
		
		
				


//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_busqueda"

//funcion que gestiona el evento
function TelcaPulsada1( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
  if (tecla == 13) { 					//se pulso enter
			  if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
			  validar();			//eliminar este alert para uso normal
				 return false					//sustituir por return true para hacer el submit
			  } else { 						//da el foco al siguiente campo
				 eval('document.' + nombreForm + '.' + siguienteCampo + '.focus()')
				 return false
			  }
   }
}

document.onkeydown = TelcaPulsada1;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
function validar_Recibo()
			{
				
				 if (confirm(" Desea guardar el Recibo ? "))
				var mensaje="";
				if (document.getElementById("dscpro").value=="") mensaje+="  - Cliente\n";
				if (document.getElementById("totalpago").value=="") mensaje+="  - Total del Abono\n";
				if (document.getElementById("totalpago").value=="0.00") mensaje+="  - Total del Abono\n";
				if (document.getElementById("totalpago").value=="0") mensaje+="  - Total del Abono\n";
				//if (document.getElementById("pagacon").value=="") mensaje+="  - Pago del Cliente\n";
				//if (document.getElementById("pagacon").value=="0.00") mensaje+="  - Pago del Cliente\n";
				//if (document.getElementById("pagacon").value=="0") mensaje+="  - Pago del Cliente\n";
				
				if (mensaje!="") {
					alert("Atencion, Los Siguientes campos no pueden estar en blanco:\n\n"+mensaje);
				} else {
						
					document.forms.form_busqueda.target="";
					document.forms.form_busqueda.action="guardar_recibo.php";
				//	document.getElementById("vuelto").disabled = "";
					document.getElementById("totalpago").disabled = "";
					document.getElementById("form_busqueda").submit();
				}
			}	
			
				
						function cancelar() {
			location.href="index.php?cadena_busqueda=<?php echo $cadena_busqueda?>";
		}



   	function inicio() {
		    document.getElementById("cdgpro").focus();
			document.getElementById("form_busqueda").submit();
			 monint.disabled = true;
		}




function validarfactura(){
			
		        numfac=document.getElementById("numfac").value;
			var cdgpro=document.getElementById("cdgpro").value;
			var tazint=document.getElementById("tazint").value;

			if (cdgpro=="") {
				alert ("Debe introducir el codigo del cliente  antes de continuar");
					document.getElementById("numfac").value="";
					document.getElementById("salfac").value="";
					document.getElementById("monabo").value="";
					document.getElementById("cdgpro").focus();
					document.getElementById("cdgpro").select();

			} else {
		
			        miPopup = window.open("Comprobar_Factura.php?numfac="+numfac+"&cdgpro="+cdgpro+"&tazint="+tazint, "frame_datos3","width=900,height=90,scrollbars=yes");
					document.getElementById("monabo").focus();
					document.getElementById("monabo").select();
				}
					}
			
function cambio()

			{

		
				var mensaje="";
				pagacon=$("#pagacon").maskMoney('unmasked')[0];	
				totalpago=$("#totalpago").maskMoney('unmasked')[0];			
			
							
				if ($("#totalpago").maskMoney('unmasked')[0] <= $("#pagacon").maskMoney('unmasked')[0]){ 
			//if (document.getElementById("totalpago").value <=  document.getElementById("pagacon").value ){ 
	                var vuelto =  pagacon - totalpago  ;
						
						vuelto = parseInt(vuelto);	
	
					if( vuelto=="0" ){
						
			         document.getElementById("vuelto").value="0.00";
					document.getElementById("vuelto").disabled = "true";
			        document.getElementById("vuelto").value="0.00";
					
						
						
						} else {
							
					document.getElementById("vuelto").disabled = "";
			         document.getElementById("vuelto").value=vuelto;
		  			 document.getElementById("vuelto").focus();
					document.getElementById("vuelto").select();
					document.getElementById("vuelto").disabled = "true";	
							
						} 	
				} else {
				   
					alert("Atencion, El monto pagado no puede ser menor al Abono:\n\n"+document.getElementById("totalpago").value);
				document.getElementById("pagacon").value="0.00";
			    document.getElementById("vuelto").value="0.00";
				 document.getElementById("pagacon").focus();
				document.getElementById("pagacon").select();
			}
			}
			
	
	
	function total()

			{

				var totalpago=document.getElementById("totalpago").value;
				//totalpago=$("#totalpago").maskMoney('unmasked')[0];			
			
		document.getElementById("pagacon").value=totalpago;
				 document.getElementById("pagacon").focus();
				document.getElementById("pagacon").select();
			}
		
	
		

		</script>
	</head>
			<body onLoad=" inicio();  nobackbutton();">
		<div id="">
			<div id="zonaVentanasRecibosProveedor">
				<div align="center">
				  <div id="" class="contenidoRecibo">
				<form id="form_busqueda" name="form_busqueda" method="post" action="frame_lineas.php" target="frame_rejilla">
					<table class="fuente8" width="100%" cellspacing=0 cellpadding=0 border=0>					
						<input id="accion" name="accion" value="alta" type="hidden">
						<input name="numrec"  id="numrec" value="<?php echo $numrec?>" type="hidden">
						<input name="salfac"  id="salfac" value="<?php echo $salfac?>" type="hidden">
						<input name="salact"  id="salact" value="<?php echo $salact?>" type="hidden">
                            <input id="posicion" name="posicion" type="hidden" value="" >
						<input name="saldoporpagar"  id="saldoporpagar" value="<?php echo $saldoporpagar?>" type="hidden">
	<input type="hidden" id="currency" />
						<tr>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td width="17%">&nbsp;</td>
						  <td width="1%">&nbsp;</td>
						  <td width="7%">&nbsp;</td>
						  <td width="18%">&nbsp;</td>
						  <td>&nbsp;</td>
						  <td >&nbsp;</td>
						  <td >&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td width="1%" rowspan="2">&nbsp;</td>
						  <td width="7%">&nbsp;</td>
					  <td rowspan="2"><input id="cdgpro" type="text" autocomplete="off" class="cajaPequena" name="cdgpro" maxlength="10"  value=""  style='text-align:center;'  onChange="validarproveedor(); buscar();">
					      <img src="../img/Search_Male_User_Icon_32.png" width="32" height="32" onClick="abreVentana()" title="Buscar Proveedor" onMouseOver="style.cursor=cursor"> <img src="../img/Accept_Male_User_Icon_32.png" width="32" height="32" onClick="validarproveedor()" title="Validar Proveedor" onMouseOver="style.cursor=cursor"></td>
						  <td rowspan="2">&nbsp;</td>
						  <td>Al Saldo</td>
						  <td><input type="radio" id="radio" name="aplnot"  value="1" onClick="saldos()" onChange="saldos()" checked ></td>
						  <td width="6%"><div align="right"></div></td>
					      <td width="40%" rowspan="2" ><div align="center">
					        <input  onDblClick="saldos()" autocomplete="off" name="monabo" type=""   class="fuente_totales" id="monabo"  style='text-align:center;' value=""    onChange="buscar()"    onFocus="siguienteCampo ='dscpro';" >
				          </div></td>
					      <td width="2%" rowspan="2" ><div align="center"><input  autocomplete="off" name="pagacon" type="hidden"  onDblClick="total()" class="fuente_totales" id="pagacon"  style='text-align:center;'  onChange="cambio()" onFocus=" siguienteCampo ='dscpro';"   ></div></td>
					      <td width="1%" rowspan="2">&nbsp;</td>
					  </tr>
						<tr>
						  <td width="7%">Código</td>
						  <td>Factura</td>
					      <td><input type="radio"  id="aplnot" name="aplnot" value="2" onClick="saldos()" >
				          <input name="numfac" autocomplete="off"  type="text" class="cajaMedia" id="numfac"   style='text-align:center;' value=""  onChange="validarfactura()"  onFocus="siguienteCampo ='monabo';" ></td>
					      <td width="6%">Abono</td>
				      </tr>
						<tr>
						  <td rowspan="5">&nbsp;</td>
							<td rowspan="2">Nombre</td>
						  <td colspan="3" rowspan="2"><input id="dscpro" readonly name="dscpro" type="text" class="cajaGrande"  autocomplete="off"   value="<?php echo $dscpro?>"   onChange="buscar()">						    </td>
						  <td><input  type="hidden" id="interes" name="interes"  value="1"  onClick="calculo_intereses()"  onChange="calculo_intereses()" >
					      <input name="tazint" type="hidden" class="cajaMedia" id="tazint"  style='text-align:center;'   onChange="buscar()" onFocus="buscar()	" ></td>
						  <td><div align="right"></div></td>
						  <td width="40%" rowspan="2" >
					        
					        <div align="center">
					          <input name="totalpago" type="text" class="fuente_totales" id="totalpago"  style='text-align:center;'   onKeyUp="buscar()"  disabled="disabled" readonly >
					        </div></td>
							<td rowspan="2" ><div align="center">
							  <input name="vuelto" type="hidden" class="fuente_totales" id="vuelto"  style='text-align:center;' value="" readonly disabled="true"   >
						    </div></td>
							<td rowspan="2">&nbsp;</td>
						</tr>
						<tr>
						  <td>&nbsp;</td>
						  <td>Total</td>
					  </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td colspan="6">&nbsp;</td>
					  </tr>
						<tr>
						  <td>Detalle</td>
						  <td colspan="6"><input id="detrec"  name="detrec" type="text" class="cajaGrande"  autocomplete="off"     ></td>
					  </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td colspan="6">&nbsp;</td>
                   	    </tr>
					</table>
					<div id="frmResultado">
				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
						<tr class="cabeceraTabla">
						  <td width="9%">N. FACTURA</td>
							
							<td width="8%">FECHA</td>
							<td width="11%">SALDO</td>
							<td width="9%">INTERESES</td>
							<td width="11%">ABONO CAPITAL </td>
							<td width="13%">ABONO INTERES </td>
							<td width="11%">TOTAL PAGO </td>
							<td width="5%">SALDO</td>	
                            <td width="23%"></td>						
						</tr>
				</table>
                  
	</div>
				    <iframe width="100%" height="350" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                    <ilayer width="100%" height="70" id="frame_rejilla" name="frame_rejilla"></ilayer>
				    </iframe>
				    <input type="hidden" id="iniciopagina" name="iniciopagina">
				    <div id="">
                      <div align="center"><img src="../img/Symbol-Delete_48x48-32.png" alt="Borrar" width="48" height="48" border="0" align="right" class="aCentro" title="Salir" onClick="cancelar()" onMouseOver="style.cursor=cursor">
					  
                          <input id="codfamilia" name="codfamilia" value="<?php echo $codfamilia?>" type="hidden">
                          <input id="codfacturatmp" name="codfacturatmp" value="<?php echo $codfacturatmp?>" type="hidden">
                          <input id="preciototal2" name="preciototal" value="<?php echo $preciototal?>" type="hidden">
                      </div>
			      </div>
				    <input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
			        <img src="../img/Symbol-Check_48x48-32.png"  width="48" height="48" border="0" title="Aceptar"  onClick="validar_Recibo()" onMouseOver="style.cursor=cursor">
				</form>
			  
				<iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
					</iframe>
					
					
				<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
					</iframe>
					
			<iframe id="frame_datos3" name="frame_datos3" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
					</iframe>


			  </form>
			 </div>
		  </div>
    </div>
		
	</body>
</html>
